Bug 678250 - error during yum update
error during yum update
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.3
i386 Linux
unspecified Severity urgent
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-17 04:46 EST by Niraj
Modified: 2014-01-21 01:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-21 14:03:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niraj 2011-02-17 04:46:38 EST
Description of problem:

I updating RHEL using this command yum update --exclude "subversion-perl,subversion,subversion-tools,php-mcrypt,mod_ssl" 

but it gives the error
 

what exact command I need to type for update !!!!!


Version-Release number of selected component (if applicable):


How reproducible: 
when I run this   yum update --exclude "subversion-perl,subversion,subversion-tools,php-mcrypt,mod_ssl"


Steps to Reproduce:
1.
2.
3.
  
Actual results:
ERROR with rpm_check_debug vs depsolve:
httpd is needed by (installed) mod_ssl-2.2.3-43.el5.i386
php-common is needed by (installed) php-mcrypt-5.2.6-2.i386
perl(File::Path) is needed by (installed) subversion-tools-1.6.4-1.i386
perl(File::Path) is needed by (installed) subversion-tools-1.6.4-1.i386


Expected results:
updates all packages

Additional info:

[root@ebizchem akshay]# rpm -Va --nofiles --nodigest
Unsatisfied dependencies for subversion-tools-1.6.4-1.i386: perl(File::Path) >= 1.0404
Unsatisfied dependencies for php-mcrypt-5.2.6-2.i386: php-common = 5.2.6-2
Unsatisfied dependencies for mod_ssl-2.2.3-43.el5.i386: httpd = 0:2.2.3-43.el5
Comment 1 Martin Poole 2011-02-18 07:02:50 EST
from man yum.conf


exclude List of packages to exclude from updates or installs. This should be a space separated list.  Shell globs using wildcards (eg. * and ?) are allowed
Comment 2 seth vidal 2011-02-18 08:47:08 EST
please run:

rpm -Va --nofiles --nodigest

I think you will find your system has packages installed w/o all of their dependencies resolved.

post the output here and we can help.
Comment 3 Niraj 2011-02-19 00:01:27 EST
HI

Please check the output of rpm -Va --nofiles --nodigest  in my first mail.
Comment 4 James Antill 2011-02-21 14:03:41 EST
Yeh, and it shows that your system is already broken (yum assumes this is not so, so it's only caught by rpm). Fix those pre-existing problems and it'll work fine.

Note You need to log in before you can comment on or make changes to this bug.